curl --request GET \
--url https://api.avala.ai/api/v1/fleet/events/ \
--header 'X-Avala-Api-Key: <api-key>'{
"results": [
{
"type": "error",
"label": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recording": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"device": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"duration_ms": -1,
"tags": [
"<string>"
],
"metadata": {},
"severity": "info",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"next": "<string>",
"previous": "<string>"
}GET /api/v1/fleet/events/
curl --request GET \
--url https://api.avala.ai/api/v1/fleet/events/ \
--header 'X-Avala-Api-Key: <api-key>'{
"results": [
{
"type": "error",
"label": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recording": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"device": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"duration_ms": -1,
"tags": [
"<string>"
],
"metadata": {},
"severity": "info",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"next": "<string>",
"previous": "<string>"
}API key for authentication. Generate one in Mission Control Settings > Security & Identity.
type
error, warning, info, state_change, anomaly, custom severity
info, warning, error, critical device
recording
Which field to use when ordering the results.
The pagination cursor value.
Number of results to return per page.
Was this page helpful?